ServiceRequest $referral-accept

post/ServiceRequest/$referral-accept
Page View

This resource contains a request for patient services like treatment(s), operation(s), consulting, skilled nursing, or other medical-related service(s).

For standard FHIR®, you can review, retrieve, create, update, or cancel service requests.

For 360X workflows, you can submit, accept, decline, complete, or cancel referral requests for systems that use the 360X standard.

Supported fields and schema examples

We support any valid FHIR® field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements.

Our schema examples show the shape and possibility of each FHIR® resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. Consider reviewing FHIR® API actions for realistic examples for particular use cases.

$referral-accept

Open beta feature

This is an open beta feature, which means you won’t see it available in your organization until you opt in. If you’re interested in joining this beta, talk to a Redoxer to find out if you’d be a good fit.

Accept a patient referral from your connection to indicate that the patient service or procedure has been scheduled in your system.

This operation includes this bundle of resources:

Required

  • Patient
  • Procedure

Optional

  • Organization
  • Practitioner
  • ServiceRequest

Request parameters and payload

cURL request example

bash
1
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/ServiceRequest/$referral-accept' \
2
--request POST \
3
--header 'Authorization: Bearer $API_TOKEN' \
4
--header 'Content-Type: application/fhir+json' \
5
--data '{
6
"resourceType": "Bundle",
7
"id": "RedoxReferralAcceptBundleExample",
8
"type": "message",
9
"entry": [
10
{
11
"resource": {
12
"eventUri": "https://fhir.redoxengine.com/EventDefinition/ReferralAccept",
13
"resourceType": "MessageHeader",
14
"id": "RedoxReferralAcceptMessageHeaderExample",
15
"source": {
16
"name": "Good Health Clinics",
17
"endpoint": "urn:uuid:05107c08-fe2f-4740-8c1d-c7107d18ebe5"
18
},
19
"focus": [
20
{
21
"reference": "ServiceRequest/RedoxServiceRequestOrderExample"
22
}
23
]
24
}
25
},
26
{
27
"fullUrl": "https://api.redoxengine.com/fhir/R4/redox-fhir-sandbox/Development/ServiceRequest/RedoxServiceRequestOrderExample",
28
"resource": {
29
"resourceType": "ServiceRequest",
30
"id": "RedoxServiceRequestOrderExample",
31
"identifier": [
32
{
33
"system": "urn:oid:1.2.840.114350.1.13.12345.1.7.2.798268",
34
"value": "6547891230"
35
}
36
],
37
"intent": "order",
38
"priority": "stat",
39
"status": "active",
40
"code": {
41
"coding": [
42
{
43
"code": "49086-2",
44
"system": "http://loinc.org",
45
"display": "First trimester maternal screen with nuchal translucency panel"
46
}
47
]
48
},
49
"authoredOn": "2022-08-08T08:00:00.000Z",
50
"note": [
51
{
52
"text": "Additional information"
53
}
54
],
55
"reasonReference": [
56
{
57
"reference": "DocumentReference/RedoxDocumentReferenceExampleMediaTimothy"
58
}
59
],
60
"supportingInfo": [
61
{
62
"reference": "Observation/RedoxPlateletObservationExample"
63
}
64
],
65
"subject": {
66
"reference": "Patient/RedoxPatientExampleTimothy"
67
},
68
"requester": {
69
"reference": "Practitioner/RedoxPractitionerExamplePat"
70
},
71
"performer": [
72
{
73
"reference": "Practitioner/RedoxPractitionerExampleJoan"
74
}
75
],
76
"specimen": [
77
{
78
"reference": "Specimen/RedoxSpecimenExample"
79
}
80
],
81
"encounter": {
82
"reference": "Encounter/RedoxEncounterExample"
83
}
84
}
85
},
86
{
87
"fullUrl": "https://api.redoxengine.com/fhir/R4/redox-fhir-sandbox/Development/Patient/RedoxPatientExampleTimothy",
88
"resource": {
89
"resourceType": "Patient",
90
"id": "RedoxPatientExampleTimothy",
91
"meta": {
92
"extension": [
93
{
94
"url": "https://fhir.redoxengine.com/StructureDefinition/example-sort-order",
95
"valueInteger": 1
96
}
97
]
98
},
99
"extension": [
100
{
101
"extension": [
102
{
103
"url": "text",
104
"valueString": "White"
105
}
106
],
107
"url": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-race"
108
},
109
{
110
"extension": [
111
{
112
"url": "ombCategory",
113
"valueCoding": {
114
"code": "2135-2",
115
"system": "urn:oid:2.16.840.1.113883.6.238",
116
"display": "Hispanic or Latino"
117
}
118
},
119
{
120
"url": "text",
121
"valueString": "Hispanic"
122
}
123
],
124
"url": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-ethnicity"
125
}
126
],
127
"identifier": [
128
{
129
"value": "0000000001",
130
"system": "urn:redox:health-one:MR"
131
},
132
{
133
"value": "101-01-0001",
134
"system": "http://hl7.org/fhir/sid/us-ssn"
135
}
136
],
137
"name": [
138
{
139
"given": [
140
"Timothy",
141
"Paul"
142
],
143
"family": "Bixby",
144
"use": "official"
145
},
146
{
147
"text": "Billy",
148
"use": "usual"
149
}
150
],
151
"gender": "male",
152
"birthDate": "2008-01-06",
153
"telecom": [
154
{
155
"value": "+18088675301",
156
"system": "phone",
157
"use": "home"
158
},
159
{
160
"value": "+18008675309",
161
"system": "phone",
162
"use": "work"
163
},
164
{
165
"value": "timothy.bixby@redoxengine.com",
166
"system": "email"
167
}
168
],
169
"address": [
170
{
171
"line": [
172
"4762 Hickory Street"
173
],
174
"city": "Monroe",
175
"district": "Greene",
176
"state": "WI",
177
"postalCode": "53566",
178
"country": "US",
179
"use": "home"
180
}
181
],
182
"maritalStatus": {
183
"coding": [
184
{
185
"code": "M",
186
"system": "http://hl7.org/fhir/v3/MaritalStatus",
187
"display": "Married"
188
}
189
],
190
"text": "Married"
191
},
192
"communication": [
193
{
194
"language": {
195
"coding": [
196
{
197
"code": "en",
198
"system": "urn:ietf:bcp:47"
199
}
200
],
201
"text": "English"
202
}
203
}
204
],
205
"contact": [
206
{
207
"name": {
208
"given": [
209
"Barbara"
210
],
211
"family": "Bixby"
212
},
213
"telecom": [
214
{
215
"value": "+18088675303",
216
"system": "phone",
217
"use": "home"
218
},
219
{
220
"value": "barbara.bixby@redoxengine.com",
221
"system": "email"
222
}
223
],
224
"address": {
225
"line": [
226
"4762 Hickory St."
227
],
228
"city": "Monroe",
229
"district": "Green",
230
"state": "WI",
231
"postalCode": "53566",
232
"country": "USA"
233
},
234
"relationship": [
235
{
236
"coding": [
237
{
238
"code": "MTH",
239
"system": "http://terminology.hl7.org/CodeSystem/v3-RoleCode",
240
"display": "mother"
241
}
242
],
243
"text": "Mother"
244
},
245
{
246
"coding": [
247
{
248
"code": "C",
249
"system": "http://terminology.hl7.org/CodeSystem/v2-0131",
250
"display": "Emergency Contact"
251
}
252
],
253
"text": "Emergency Contact"
254
}
255
]
256
}
257
],
258
"generalPractitioner": [
259
{
260
"reference": "Practitioner/RedoxPractitionerExamplePat"
261
}
262
],
263
"managingOrganization": {
264
"reference": "Organization/RedoxOrganizationManagingExample"
265
}
266
}
267
},
268
{
269
"fullUrl": "https://api.redoxengine.com/fhir/R4/redox-fhir-sandbox/Development/Procedure/RedoxProcedureReferralAcceptedExample",
270
"resource": {
271
"resourceType": "Procedure",
272
"id": "RedoxProcedureReferralAcceptedExample",
273
"status": "preparation",
274
"code": {
275
"text": "Referral accepted"
276
},
277
"subject": {
278
"reference": "Patient/RedoxPatientExampleTimothy"
279
},
280
"basedOn": [
281
{
282
"reference": "ServiceRequest/example-referral"
283
}
284
]
285
}
286
},
287
{
288
"fullUrl": "https://api.redoxengine.com/fhir/R4/redox-fhir-sandbox/Development/Practitioner/RedoxPractitionerExamplePat",
289
"resource": {
290
"resourceType": "Practitioner",
291
"id": "RedoxPractitionerExamplePat",
292
"identifier": [
293
{
294
"system": "http://hl7.org/fhir/sid/us-npi",
295
"value": "4356789876"
296
}
297
],
298
"name": [
299
{
300
"given": [
301
"Pat"
302
],
303
"family": "Granite"
304
}
305
],
306
"address": [
307
{
308
"line": [
309
"123 Main St."
310
],
311
"city": "Madison",
312
"district": "Dane",
313
"state": "WI",
314
"postalCode": "53703",
315
"country": "USA"
316
}
317
],
318
"telecom": [
319
{
320
"value": "+16085551234"
321
}
322
]
323
}
324
},
325
{
326
"fullUrl": "https://api.redoxengine.com/fhir/R4/redox-fhir-sandbox/Development/Organization/RedoxOrganizationManagingExample",
327
"resource": {
328
"resourceType": "Organization",
329
"id": "RedoxOrganizationManagingExample",
330
"identifier": [
331
{
332
"value": "1234",
333
"system": "urn:oid:1.2.3.4"
334
}
335
],
336
"active": true,
337
"name": "Custodial Org",
338
"address": [
339
{
340
"line": [
341
"123 Main St"
342
],
343
"city": "Madison",
344
"state": "WI"
345
}
346
],
347
"telecom": [
348
{
349
"value": "1-800-123-4567",
350
"system": "phone"
351
}
352
],
353
"type": [
354
{
355
"text": "Test Type"
356
}
357
]
358
}
359
}
360
],
361
"timestamp": "2025-09-29T12:10:00.000Z",
362
"Meta": {
363
"Logs": [
364
{
365
"ID": "d9f5d293-7110-461e-a875-3beb089e79f3",
366
"AttemptID": "925d1617-2fe0-468c-a14c-f8c04b572c54"
367
}
368
],
369
"Test": true,
370
"EventDateTime": "2026-05-14T14:06:57.672Z",
371
"Source": {
372
"ID": "7ce6f387-c33c-417d-8682-81e83628cbd9",
373
"Name": "Redox Dev Tools"
374
},
375
"Destinations": [
376
{
377
"ID": "af394f14-b34a-464f-8d24-895f370af4c9",
378
"Name": "Redox EMR"
379
}
380
],
381
"DataModel": "FHIR.ServiceRequest",
382
"EventType": "$referral-accept"
383
}
384
}'

Request Body Schema

    Bundle sent as part of a referral-accept message

  • resourceType
    required, string

    Identifies the type of the resource

    Value: Bundle
  • type
    required, string

    Identifies this bundle as a message

    Value: message
  • entry
    required, Array of messageHeader, serviceRequest, patient, procedure

    An entry in the bundle containing a FHIR resource

    • resource
      required, object

      Additional metadata about the message including the event

      • resourceType
        required, string

        Identifies the type of the resource

        Value: MessageHeader
      • source
        required, object

        Information about the sender of the message and the Bundle content.

        • endpoint
          required, string

          Identifies the routing target to send acknowledgements to.

        • name
          string

          Human-readable name for the source system.

      • focus
        required, Array of object

        This describes the focal target resource of the message from which the remainder of the content is referenced from

        Must be a resource of type ServiceRequest.

        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

      • eventUri
        required, string

        This describes the message being communicated

        Value: https://fhir.redoxengine.com/EventDefinition/ReferralAccept
  • timestamp
    string

    The date/time that the bundle was assembled - i.e. when the resources were placed in the bundle.

Response fields and example

Example
json
1
"Operation Response"

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.